using System;

namespace ZadatakMadionicar
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] st = Console.ReadLine().Split(' ');
            int n = int.Parse(st[0]);
            int k = int.Parse(st[1]);
            st = Console.ReadLine().Split(' ');
            int j = 0;
            for(int i=0;i<n-1;i++)
            {
                if(int.Parse(st[i])==k)
                {
                    j = i + 1;
                    i = n;
                }
            }
            Console.WriteLine(st[j]);
        }
    }
}